require 'test_helper'

class RoutesTest < ActionDispatch::IntegrationTest
  test 'test start endpoint' do
    @called = 0
    caller = Proc.new { @called += 1}
    DatabaseCleaner.stub :start, caller do
      Viga::Controller.instance_stub :fixtory, caller do
        post 'api/tests/scenario_1/start'
      end
    end

    assert_equal @called, 2
  end

  test 'test stop endpoint' do
    @called = 0
    caller = Proc.new { @called += 1 }
    DatabaseCleaner.stub :clean, caller do
      delete 'api/tests/stop'
    end

    assert_equal @called, 1
  end
end
